Debian Bug report logs - #680822
aptitude fails to install libphonon-dev and phonon-backend-gstreamer

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 8 Jul 2012 17:23:04 UTC

Severity: important

Tags: jessie, moreinfo, sid, wheezy

Merged with 684831

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#680822; Package src:pyside. (Sun, 08 Jul 2012 17:23:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sun, 08 Jul 2012 17:23:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: pyside: FTBFS: build-dependency not installable: libphonon-dev
Date: Sun, 8 Jul 2012 19:01:13 +0200
Source: pyside
Version: 1.1.1-3
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120708 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install pyside build dependencies (apt-based resolver)                       │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Installing build dependencies
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
> 
> The following packages have unmet dependencies:
>  sbuild-build-depends-pyside-dummy : Depends: libphonon-dev but it is not going to be installed
> E: Unable to correct problems, you have held broken packages.
> apt-get failed.

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/07/08/pyside_1.1.1-3_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#680822; Package src:pyside. (Mon, 09 Jul 2012 08:48:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 09 Jul 2012 08:48:16 GMT) Full text and rfc822 format available.

Message #10 received at 680822@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 680822@bugs.debian.org, 680822-submitter@bugs.debian.org
Cc: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Subject: libphonon-dev should depend on "phonon-backend-null | phonon-backend"?
Date: Mon, 9 Jul 2012 10:46:04 +0200
Hi,

[ CCing libphonon-dev maintainers ]

while trying to fix random RC bugs, I stumbled over this one and tried 
to
reproduce it in my local cowbuilder setup (you used sbuild).
This seems not to happen on buildds, as they use sbuilds internal 
resolver.

cowbuilder uses aptitude to resolve Build-Dependencies and fails in the 
same way
your sbuild did:

After that I executed cowbuilder --login to debug further.
`aptitude install libphonon-dev phonon-backend-gstreamer` gives
 The following packages have unmet dependencies:
  phonon-backend-null : Conflicts: phonon-backend which is a virtual package.
 The following actions will resolve these dependencies:

      Keep the following packages at their current version:
 1)     libphonon-dev [Not Installed]
 2)     phonon-backend-null [Not Installed]
(cowbuilder aborts here).

However, `apt-get install libphonon-dev phonon-backend-gstreamer` works just
fine. Not sure why it tries phonon-backend-null at all (I requested
phonon-backend-gstreamer), but I think this is because libphonon-dev 
depends on
phonon-backend-null | phonon
and not
phonon-backend-null | phonon-backend

The fact that
 aptitude install libphonon-dev phonon-backend-gstreamer phonon
suceeds supports my guess (I hope).

Long mail short conclusion: bug in libphonon-dev, it should depend on -backend,
not on phonon?

Currently rebuilding pyside with libphonon-dev phonon-backend-gstreamer 
installed and phonon purged, to verify that this is what the build-scripts 
expect, but it takes ages.

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#680822. (Mon, 09 Jul 2012 08:48:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#680822; Package src:pyside. (Mon, 09 Jul 2012 09:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 09 Jul 2012 09:36:29 GMT) Full text and rfc822 format available.

Message #18 received at 680822@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 680822@bugs.debian.org, 680822-submitter@bugs.debian.org
Cc: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Subject: Re: libphonon-dev should depend on "phonon-backend-null | phonon-backend"?
Date: Mon, 9 Jul 2012 11:26:37 +0200
Yay for packages running a ton of tests and ignoring the results...

On Mon, Jul 09, 2012 at 10:46:04AM +0200, Evgeni Golov wrote:

> Currently rebuilding pyside with libphonon-dev phonon-backend-gstreamer 
> installed and phonon purged, to verify that this is what the build-scripts 
> expect, but it takes ages.

It now built and the tests run just fine (minus the the three tests that 
were already failing on the buildds).

-- 
Bruce Schneier can read and understand Perl programs.




Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#680822. (Mon, 09 Jul 2012 09:36:32 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Mon, 09 Jul 2012 19:27:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 09 Jul 2012 19:27:05 GMT) Full text and rfc822 format available.

Message #26 received at 680822-done@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Evgeni Golov <evgeni@debian.org>, 680822-done@bugs.debian.org
Subject: Re: Bug#680822: libphonon-dev should depend on "phonon-backend-null | phonon-backend"?
Date: Mon, 9 Jul 2012 13:22:33 -0600
Version: 1.1.1-3

Le lundi, 9 juillet 2012 03.26:37, vous avez écrit :
> Yay for packages running a ton of tests and ignoring the results...

Hi Evgeni,

I have detailed the rationale for this behaviour in 
http://bugs.debian.org/618347#10 . I definitely agree that in an ideal world, 
test suites should be fatal. In this particular case, with a beasst that 
covers the whole Qt codebase, this is a reacheable goal for me.

I very much welcome help and patches to enhance the situation; fwiw, the 
latest test suite results analysis is: 

http://alioth.debian.org/~odyx-
guest/packages/pyside/pyside_1.1.1-3_analysis.txt

> On Mon, Jul 09, 2012 at 10:46:04AM +0200, Evgeni Golov wrote:
> > Currently rebuilding pyside with libphonon-dev phonon-backend-gstreamer
> > installed and phonon purged, to verify that this is what the
> > build-scripts expect, but it takes ages.
> 
> It now built and the tests run just fine (minus the the three tests that
> were already failing on the buildds).

Marking it as -done then, thanks for your investigation time and the (pretty 
long) rebuild.

OdyX




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#680822; Package src:pyside. (Mon, 09 Jul 2012 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 09 Jul 2012 20:21:03 GMT) Full text and rfc822 format available.

Message #31 received at 680822@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Didier Raboud <odyx@debian.org>
Cc: 680822@bugs.debian.org
Subject: Re: Bug#680822: libphonon-dev should depend on "phonon-backend-null | phonon-backend"?
Date: Mon, 9 Jul 2012 22:17:42 +0200
Hi Didier,

On Mon, Jul 09, 2012 at 01:22:33PM -0600, Didier Raboud wrote:
> > On Mon, Jul 09, 2012 at 10:46:04AM +0200, Evgeni Golov wrote:
> > > Currently rebuilding pyside with libphonon-dev phonon-backend-gstreamer
> > > installed and phonon purged, to verify that this is what the
> > > build-scripts expect, but it takes ages.
> > 
> > It now built and the tests run just fine (minus the the three tests that
> > were already failing on the buildds).
> 
> Marking it as -done then, thanks for your investigation time and the (pretty 
> long) rebuild.

I fear not.

It built in a cowbuilder after installing the build-depends by hand.
It still FTBFS if I try to build automatically.

However, I suspect the bug being in libphonon-dev, not in pyside, and 
would like to have some KDE/Qt ppl to look over it.

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#680822; Package src:pyside. (Tue, 10 Jul 2012 12:45:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 10 Jul 2012 12:45:20 GMT) Full text and rfc822 format available.

Message #36 received at 680822@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 680822@bugs.debian.org, phonon@packages.debian.org, modax@debian.org
Subject: libphonon-dev should depend on "phonon-backend-null | phonon-backend"?
Date: Tue, 10 Jul 2012 14:41:00 +0200
reopen 680822
reassign 680822	libphonon-dev
found 680822 libphonon-dev/4:4.6.0.0-2
retitle 680822 aptitude install libphonon-dev phonon-backend-gstreamer fails
thanks

Hi,

as seen in the previous mails to #680822, pyside fails to build in sbuild
when using the apt-resolver (the internal one, used on buildds, is fine).
This can be easily reproduced on every Sid machine, that has no phonon
installed and tries to get libphonon-dev and phonon-backend-gstreamer 
(or -vlc) via aptitude. apt-get works just fine.

As far as I can see, the problem is in the dependency of libphonon-dev:
 phonon-backend-null | phonon
this means that the resolver will try to install -null and -gstreamer at
the same time, which obvioulsy does not work (-null conflicts against
phonon-backend which -gstreamer provides). Changing the dep to
 phonon-backend-null | phonon-backend
would solve the issue here, but I guess there was a rationale to set it
like this in the first place? Should pyside build-depend on phonon 
instead? This would solve the reported FTBFS too, but I still think that
 aptitude install libphonon-dev phonon-backend-gstreamer
should never fail.

Regards
Evgeni, sorry for being pedantic here :)

-- 
Bruce Schneier can read and understand Perl programs.




Bug reopened Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Tue, 10 Jul 2012 12:45:23 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 1.1.1-3. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Tue, 10 Jul 2012 12:45:23 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:pyside' to 'libphonon-dev'. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Tue, 10 Jul 2012 12:45:24 GMT) Full text and rfc822 format available.

No longer marked as found in versions pyside/1.1.1-3. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Tue, 10 Jul 2012 12:45:25 GMT) Full text and rfc822 format available.

Marked as found in versions libphonon-dev/4:4.6.0.0-2. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Tue, 10 Jul 2012 12:45:27 GMT) Full text and rfc822 format available.

Changed Bug title to 'aptitude install libphonon-dev phonon-backend-gstreamer fails' from 'pyside: FTBFS: build-dependency not installable: libphonon-dev' Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Tue, 10 Jul 2012 12:45:28 GMT) Full text and rfc822 format available.

Merged 680822 684831 Request was from David Prévot <taffit@debian.org> to 684831-submit@bugs.debian.org. (Sat, 25 Aug 2012 23:30:08 GMT) Full text and rfc822 format available.

Added indication that 680822 affects pyside Request was from David Prévot <taffit@debian.org> to 684831-submit@bugs.debian.org. (Sat, 25 Aug 2012 23:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#680822; Package libphonon-dev. (Thu, 20 Sep 2012 03:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 20 Sep 2012 03:39:03 GMT) Full text and rfc822 format available.

Message #57 received at 680822@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 680822@bugs.debian.org
Subject: Re: aptitude install libphonon-dev phonon-backend-gstreamer fails
Date: Thu, 20 Sep 2012 12:36:56 +0900
[Message part 1 (text/plain, inline)]
Hi,

 It seems that clear for me, "phonon-backend-null | phonon" is odd and it
 should be "phonon-backend-null | phonon-backend" since phonon-backend-null
 provides phonon-backend virtual package and pulls phonon package causes
 just a confuse.

 I'll upload package include this change with 10days/delayed (safe side).
 If you want to cancel it, please tell me.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane
[680822.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#680822; Package libphonon-dev. (Thu, 20 Sep 2012 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <sune@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 20 Sep 2012 10:21:03 GMT) Full text and rfc822 format available.

Message #62 received at 680822@bugs.debian.org (full text, mbox):

From: Sune Vuorela <sune@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 680822@bugs.debian.org
Subject: Re: aptitude install libphonon-dev phonon-backend-gstreamer fails
Date: Thu, 20 Sep 2012 12:13:22 +0200
On Thursday 20 September 2012 05:36:56 Hideki Yamane wrote:
> Hi,
> 
>  It seems that clear for me, "phonon-backend-null | phonon" is odd and it
>  should be "phonon-backend-null | phonon-backend" since phonon-backend-null
>  provides phonon-backend virtual package and pulls phonon package causes
>  just a confuse.
> 
>  I'll upload package include this change with 10days/delayed (safe side).
>  If you want to cancel it, please tell me.

please cancel it. 

The dependency on phonon *is* correct. Either you want phonon-backend-null 
*or* a working phonon. Phonon is the package to depend on to get a working 
phonon.

if you want a working phonon, you must depend on phonon.

The bug is not in the phonon package.

/Sune



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#680822; Package libphonon-dev. (Thu, 20 Sep 2012 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 20 Sep 2012 11:51:03 GMT) Full text and rfc822 format available.

Message #67 received at 680822@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Sune Vuorela <sune@debian.org>
Cc: 680822@bugs.debian.org
Subject: Re: aptitude install libphonon-dev phonon-backend-gstreamer fails
Date: Thu, 20 Sep 2012 20:47:17 +0900
Hi,

On Thu, 20 Sep 2012 12:13:22 +0200
Sune Vuorela <sune@debian.org> wrote:
> please cancel it. 

 Okay, canceled. Thanks.


> The dependency on phonon *is* correct. Either you want phonon-backend-null 
> *or* a working phonon. Phonon is the package to depend on to get a working 
> phonon.
>
> if you want a working phonon, you must depend on phonon.

 Hmm, just a question. phonon package contains no files 

$ dpkg -L phonon
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/phonon
/usr/share/doc/phonon/copyright
/usr/share/doc/phonon/changelog.Debian.gz

 and just has a dependency for some packages.

$ dpkg -s phonon
Package: phonon
(snip)
Version: 4:4.6.0.0-2
Depends: libphonon4 (>= 4:4.6.0.0-2), debconf (>= 0.5) | debconf-2.0, phonon-backend-vlc | phonon-backend

 Well, if above dependency would be filled, it seems that specify
 phonon-backend will be appropriate option and it is.

 Why we need to specify phonon as Depends:?


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#680822; Package libphonon-dev. (Thu, 20 Sep 2012 12:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <sune@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 20 Sep 2012 12:09:07 GMT) Full text and rfc822 format available.

Message #72 received at 680822@bugs.debian.org (full text, mbox):

From: Sune Vuorela <sune@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 680822@bugs.debian.org
Subject: Re: aptitude install libphonon-dev phonon-backend-gstreamer fails
Date: Thu, 20 Sep 2012 14:05:01 +0200
On Thursday 20 September 2012 13:47:17 Hideki Yamane wrote:
>  Why we need to specify phonon as Depends:?

if you want a working phonon, you need to depend on phonon. that's just how it 
is.

/Sune



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#680822; Package libphonon-dev. (Fri, 12 Oct 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 12 Oct 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #77 received at 680822@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 680822@bugs.debian.org
Subject: pyside could be fixed
Date: Fri, 12 Oct 2012 22:42:46 +0100
[Message part 1 (text/plain, inline)]
If pyside was to gain a Build-Depends on phonon as well as
phonon-backend-gstreamer and libphonon-dev, then aptitude appears happy
to install the full set of packages. (Tested in a clean chroot with
only dpkg-dev and aptitude installed.)

aptitude install debhelper cmake python-all-dev python3-all-dev
phonon-backend-gstreamer phonon libqt4-dev libphonon-dev
libqt4-opengl-dev libqtwebkit-dev shiboken libshiboken-dev
libqt4-sql-sqlite xvfb xauth libgl1-mesa-dri

0 packages upgraded, 199 newly installed, 0 to remove and 0 not
upgraded. 
Need to get 127 MB/171 MB of archives. After unpacking 473 MB
will be used. Do you want to continue? [Y/n/?] 

This is basing on Sune's comment - packages which need a working phonon
need a direct dependency on phonon in order to test phonon.

This would seem to be the most straightforward solution to the bug -
reassign back to pyside and add a build-depends on phonon.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#680822. (Fri, 12 Oct 2012 22:00:06 GMT) Full text and rfc822 format available.

Message #80 received at 680822-submitter@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 680822-submitter@bugs.debian.org, Evgeni Golov <evgeni@debian.org>
Cc: Didier Raboud <odyx@debian.org>, Hideki Yamane <henrich@debian.or.jp>
Subject: pyside could be fixed
Date: Fri, 12 Oct 2012 22:57:12 +0100
[Message part 1 (text/plain, inline)]
If pyside was to gain a Build-Depends on phonon as well as
phonon-backend-gstreamer and libphonon-dev, then aptitude appears happy
to install the full set of packages. (Tested in a clean chroot with
only dpkg-dev and aptitude installed.)

aptitude install debhelper cmake python-all-dev python3-all-dev
phonon-backend-gstreamer phonon libqt4-dev libphonon-dev
libqt4-opengl-dev libqtwebkit-dev shiboken libshiboken-dev
libqt4-sql-sqlite xvfb xauth libgl1-mesa-dri

0 packages upgraded, 199 newly installed, 0 to remove and 0 not
upgraded. 
Need to get 127 MB/171 MB of archives. After unpacking 473 MB
will be used. Do you want to continue? [Y/n/?] 

This is basing on Sune's comment - packages which need a working phonon
need a direct dependency on phonon in order to test phonon.

This would seem to be the most straightforward solution to the bug -
reassign back to pyside and add a build-depends on phonon.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#680822. (Sat, 13 Oct 2012 08:18:06 GMT) Full text and rfc822 format available.

Message #83 received at 680822-submitter@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: Neil Williams <codehelp@debian.org>
Cc: 680822-submitter@bugs.debian.org, Evgeni Golov <evgeni@debian.org>, Hideki Yamane <henrich@debian.or.jp>
Subject: Re: pyside could be fixed
Date: Sat, 13 Oct 2012 10:17:33 +0200
[Message part 1 (text/plain, inline)]
Le vendredi, 12 octobre 2012 23.57:12, Neil Williams a écrit :
> This would seem to be the most straightforward solution to the bug -
> reassign back to pyside and add a build-depends on phonon.

pyside gets built correctly by buildds both in sid and experimental. So that 
bug is at most important for pyside.

That said, I can stage the addition of a phonon build-depends for the 
experimental version (to be uploaded with the next release or after wheezy's 
release).

For wheezy, someone should go convince the release team that this is necessary 
first, IMHO.

OdyX
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#680822; Package libphonon-dev. (Sat, 13 Oct 2012 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and filed, but not forwarded. (Sat, 13 Oct 2012 08:54:03 GMT) Full text and rfc822 format available.

Message #88 received at 680822-quiet@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 680822-quiet@bugs.debian.org
Subject: Fw: Re: pyside could be fixed
Date: Sat, 13 Oct 2012 09:51:19 +0100
[Message part 1 (text/plain, inline)]
Keeping the bug in the loop...

Begin forwarded message:

Date: Sat, 13 Oct 2012 10:17:33 +0200
From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: Neil Williams <codehelp@debian.org>
Cc: 680822-submitter@bugs.debian.org, Evgeni Golov <evgeni@debian.org>, Hideki Yamane <henrich@debian.or.jp>
Subject: Re: pyside could be fixed


Le vendredi, 12 octobre 2012 23.57:12, Neil Williams a écrit :
> This would seem to be the most straightforward solution to the bug -
> reassign back to pyside and add a build-depends on phonon.

pyside gets built correctly by buildds both in sid and experimental. So that 
bug is at most important for pyside.

That said, I can stage the addition of a phonon build-depends for the 
experimental version (to be uploaded with the next release or after wheezy's 
release).

For wheezy, someone should go convince the release team that this is necessary 
first, IMHO.

OdyX


-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#680822; Package libphonon-dev. (Sat, 13 Oct 2012 10:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 13 Oct 2012 10:54:06 GMT) Full text and rfc822 format available.

Message #93 received at 680822@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 680822@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Reassigning to aptitude
Date: Sat, 13 Oct 2012 11:50:15 +0100
[Message part 1 (text/plain, inline)]
notfound 680822 libphonon-dev 4:4.6.0.0-2
reassign 680822 aptitude 
severity 680822 important
found 680822 aptitude 0.6.8.1-2
retitle 680822 aptitude fails to install libphonon-dev and phonon-backend-gstreamer
done

> Le vendredi, 12 octobre 2012 23.57:12, Neil Williams a écrit :
> > This would seem to be the most straightforward solution to the bug -
> > reassign back to pyside and add a build-depends on phonon.
> 
> pyside gets built correctly by buildds both in sid and experimental. So that 
> bug is at most important for pyside.

Actually, after looking through this again, I'm reassigning to aptitude
and downgrading to important.

pyside could add the staged workaround after wheezy but this does look
like aptitude just not handling the Provides: Conflicts: correctly when
other parsers are not affected.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'libphonon-dev' to 'aptitude'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 10:54:08 GMT) Full text and rfc822 format available.

No longer marked as found in versions libphonon-dev/4:4.6.0.0-2. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 10:54:09 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 10:54:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'aptitude fails to install libphonon-dev and phonon-backend-gstreamer' from 'aptitude install libphonon-dev phonon-backend-gstreamer fails' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 10:54:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>:
Bug#680822; Package aptitude. (Wed, 28 Nov 2012 05:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Hartwig <mandyke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>. (Wed, 28 Nov 2012 05:36:03 GMT) Full text and rfc822 format available.

Message #106 received at 680822@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: 680822@bugs.debian.org, Neil Williams <codehelp@debian.org>, Evgeni Golov <evgeni@debian.org>
Subject: Re: Bug#680822: aptitude fails to install libphonon-dev and phonon-backend-gstreamer
Date: Wed, 28 Nov 2012 13:32:39 +0800
Control: tags -1 + moreinfo

Note that the initial report concerns sbuild calling apt-get to install
build-dependencies *indirectly* via a dummy-build-depends package.  The
second message is a test case, where aptitude is asked to *directly*
install specific packages.  These two modes are not equivalent; even if
both were using aptitude, the algorithms for each mode have subtle
differences.

Evgeni Golov <evgeni@debian.org> wrote:
> `aptitude install libphonon-dev phonon-backend-gstreamer` gives
>  The following packages have unmet dependencies:
>   phonon-backend-null : Conflicts: phonon-backend which is a virtual package.
>  The following actions will resolve these dependencies:
>
>       Keep the following packages at their current version:
>  1)     libphonon-dev [Not Installed]
>  2)     phonon-backend-null [Not Installed]
> (cowbuilder aborts here).
>
> However, `apt-get install libphonon-dev phonon-backend-gstreamer` works just
> fine.

The solution offered by aptitude is a valid resolution for the conflict.
For reference, subsequent offers are:
> Accept this solution? [Y/n/q/?] n
> The following actions will resolve these dependencies:
>
>      Keep the following packages at their current version:
> 1)     phonon-backend-gstreamer [Not Installed]           
>
>
>
> Accept this solution? [Y/n/q/?] n
> The following actions will resolve these dependencies:
>
>      Install the following packages:                      
> 1)     phonon [4:4.6.0.0-2 (unstable)]                    
>
>      Keep the following packages at their current version:
> 2)     phonon-backend-null [Not Installed]                

and this third one appears equivalent to how apt-get resolves the same
request.

Evgeni Golov <evgeni@debian.org> continues:
> Not sure why it tries phonon-backend-null at all (I requested
> phonon-backend-gstreamer), but I think this is because libphonon-dev 
> depends on
> phonon-backend-null | phonon
> and not
> phonon-backend-null | phonon-backend

Yes, that is why it tries to install -null.

Aptitude and it's dependency solver are intended mainly for interactive
use.  It is not a bug simply because aptitude may attempt to handle a
request with a different set of installs to apt-get, or initially
suggests a different resolution to a particular conflict than apt-get
would take.

Regarding the assignment to aptitude, Neil Williams
<codehelp@debian.org> wrote:
> … this does look
> like aptitude just not handling the Provides: Conflicts: correctly

1) Aptitude is asked to install libphonon-dev and
   phonon-backend-gstreamer.
2) There is no requirement to resolve dependencies of packages in any
   particular order.
3) Aptitude chooses to install phonon-backend-null to satisfy a
   dependency of libphonon-dev.
4) Aptitude does not consider that -null conflicts with itself via
   the virtual package phonon-backend.  Debian Policy requires that
   self-conflicts via virtual packages are ignored.
5) Aptitude does recognize that -null conflicts with -gstreamer via
   phonon-backend.  This conflict is reported.
6) Various solutions to (5) are offered.  The first few of these appear
   to be valid and the third covers the solutions that apt-get would
   find.

Can you be more precise about how aptitude has “not handled the
Provides: Conflicts: correctly”?  (4) and (5) seem correct to me.

> when
> other parsers are not affected.

The different behaviour of apt-get and aptitude is due to differences in
how they choose to satisfy dependencies and resolve conflicts that
arise.  This does not imply that either program is broken.

Regards



Added tag(s) moreinfo. Request was from Daniel Hartwig <mandyke@gmail.com> to 680822-submit@bugs.debian.org. (Wed, 28 Nov 2012 05:36:03 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:35:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:27:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.